Bug 600041 - Networking doesn't come up on boot.
Networking doesn't come up on boot.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
13
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 17:25 EDT by richter.gerald
Modified: 2013-01-10 00:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:28:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description richter.gerald 2010-06-03 17:25:26 EDT
Description of problem:
Fresh install of Fedora 13 on a (supposed to be headless) server without X results in having to log into the console and "ifup eth0" every boot. This is obnoxious.

Version-Release number of selected component (if applicable):


How reproducible:
Install FC13 on a computer with a minimal set of packages and no X.

Steps to Reproduce:
1. Install FC13, without X or any of the X dependant netmanager stuff.
2. Configure network settings (vi /etc/sysconfig/network-scripts/ifcfg-eth0).
3. Reboot.
  
Actual results:
eth0 exists without any network settings.

Expected results:
eth0 exists with valid IP info.

Additional info:
Eventually figured out that I had to "chkconfig network on" in order to make it behave. This is a problematic fail in the installer routines, networking should be functional from any sort of fresh install.
Comment 1 Bill Nottingham 2010-06-04 11:13:10 EDT
The default installation includes NetworkManager, enabled by default. If you choose to remove or disable that, you need to enable the network service.
Comment 2 richter.gerald 2010-06-04 11:24:17 EDT
Wrong. NetworkManager does not provide a functional interface. This is a bug.
Comment 3 richter.gerald 2010-06-04 11:27:44 EDT
(In reply to comment #1)
> The default installation includes NetworkManager, enabled by default. If you
> choose to remove or disable that, you need to enable the network service.    

This is a poor choice if NetworkManager cannot provide an interface that is functional useable w/o X. This is an issue that, if not fixed, should be appropriately documented.
Comment 4 Bill Nottingham 2010-06-04 11:30:24 EDT
Huh?

NetworkManager does work just fine without X; it even provides a commandline tool.

Did you remove NetworkManager, or disable it? If you didn't, and it's running, please attach your ifcfg file.
Comment 5 Jesse Keating 2010-06-04 12:09:37 EDT
Was your install via DVD, with no networking during the install?  If so, it sounds like bug #498207
Comment 6 richter.gerald 2010-06-04 12:21:03 EDT
Install was via the netboot cd. NetworkManager has been uninstalled and reinstalled at this point with the bypass removed. After reinstall NetworkManger brings up the interface as expected.
Comment 7 richter.gerald 2010-06-04 12:30:06 EDT
And just for the curious, the ifcfg-eth0 file:

# Intel Corporation 82545EM Gigabit Ethernet Controller (Copper)
DEVICE=eth0
BOOTPROTO=static
DNS1=192.168.1.3
HWADDR=00:0C:29:6E:1D:0D
IPADDR=192.168.1.68
NETMASK=255.255.255.0
ONBOOT=Yes
NAME=Network

It's presently on my test network whilst I make it work.
Comment 8 Jesse Keating 2010-06-04 12:47:23 EDT
What do you mean "bypass removed" ?  Was NetworkManager not a part of your initial package set?
Comment 9 richter.gerald 2010-06-05 22:34:59 EDT
(In reply to comment #8)
> What do you mean "bypass removed" ?  Was NetworkManager not a part of your
> initial package set?    

It was included, but not working on startup - so I bypassed it by using chkconfig to enable networking.
Comment 10 Bill Nottingham 2010-06-07 18:00:09 EDT
OK... assigning to NetworkManager, then.
Comment 11 Dan Williams 2010-06-28 17:19:47 EDT
Ok, based on comment #6 it seems you have NetworkManager enabled and it works correctly after having re-installed it.  If you're up for testing this again on a separate machine, when the problem occurs, can you:

1) grab /var/log/messages
2) post all the ifcfg-* files from /etc/sysconfig/network-scripts/

and we'll take a look and see what's going on.
Comment 12 Bug Zapper 2011-06-02 08:08:34 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2011-06-27 13:28:25 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.